%define shortname bcop
%define name compiz-bcop
%define version 0.5.2
%define rel 1
%define git 0

%if  %{git}
%define srcname %{name}-%{version}-%{git}
%define distname %{name}
%define release %mkrel 0.%{git}.%{rel}
%else
%define srcname %{name}-%{version}
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

Name: %name
Version: %version
Release: %release
Summary: BCOP: Compiz Fusion plugin build utility
Group: System/X11
URL: http://www.go-compiz.org/
Source: %{srcname}.tar.bz2 
License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libxslt-devel
Requires: libxslt-proc
Obsoletes: %{shortname}

%description
BCOP: Compiz Fusion plugin build utility

%prep
%setup -q -n %{distname}

%build
%if %{git}
  # This is a CVS snapshot, so we need to generate makefiles.
  sh autogen.sh -V
%endif
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{shortname}
%dir %{_datadir}/%{shortname}
%{_datadir}/%{shortname}/%{shortname}.xslt
%{_datadir}/pkgconfig/%{shortname}.pc


%changelog
* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62610
- Rename package to compiz-bcop
- Renamed to match upstream
- First official release: 0.5.2

* Thu Jun 28 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-0.20070627.1mdv2008.0
+ Revision: 45277
- Import bcop

